#!/bin/bash


wget -O par.dat http://163.178.101.86/pal/temporal/param_pga.dat

#gmt gmtset FORMAT_GEO_MAP dddF
#gmt gmtset MAP_ANNOT_OFFSET_PRIMARY 0p
gmt gmtset MAP_FRAME_TYPE plain
gmt gmtset FONT_ANNOT_PRIMARY 10
gmt gmtset FONT_TITLE 12
gmt gmtset PS_MEDIA letter

#gmt set FONT_ANNOT_PRIMARY 12p,Helvetica  MAP_GRID_CROSS_SIZE_PRIMARY 0.1i MAP_ANNOT_OFFSET_PRIMARY 0.2c
        
ps=p.ps
gmt makecpt -Cocean -T-7200/5000/100 -Z > z.cpt
gmt grdcut /home/lis/gmt5/etopo/ETOPO1_Bed_g_gmt4.grd -R -GNI+CR+PA.nc
gmt grdgradient NI+CR+PA.nc -A50 -GNI+CR+PA_int.nc

gmt psbasemap -R-87.5/-81.5/7/12 -JM5.5i -X0.5 -Yc  -B0 -K > $ps
gmt pscoast -J -R -Df -O -K -W0.1 >> $ps
gmt grdimage NI+CR+PA.nc -INI+CR+PA_int.nc -Cz.cpt -J -O -K >> $ps
gmt pscoast -J -R -FNI,PA+gred@70 -O -K -Df >> $ps
gmt pscoast -J -R -Glightgray -O -K -Df >> $ps

gmt psclip  -O -J -R /usr/local/gmt/contornos/contorno_costa_rica.txt -K >> p.ps
gmt grdimage NI+CR+PA.nc -INI+CR+PA_int.nc -Cz.cpt -J -O -K >> $ps
gmt pscoast -J -R -FCR+gred@70 -O -K -Df >> $ps
gmt pscoast -R -J -N2/0.25,black,- -K  -Df -B -O  >> p.ps
gmt psclip  -C -O -K >> p.ps

gmt psxy  -O -J -R /usr/local/gmt/contornos/isla_chira.txt -G124/131/131 -K >> p.ps



gmt psxy -R -O -J -K /usr/local/gmt/contornos/contorno_lagonicaragua.txt -Glightblue >> $ps
gmt pscoast -J -R -O -N1/1 -W0.5 -K -Df -T-81.9/11.3/2/1 -L-84.0/7.5/10.0/100.0+lkm >> $ps
gmt pstext -O -J -R -K -F+f8p,Helvetica,black,+jBL -Gwhite <<END>> $ps
-87.45 7.08 Laboratorio de Ingenier\355a S\355smica (UCR)
END



awk  '{print $3,$4}' ubic.dat > origin.d
awk -F\; '{print $1,$2+0.05,$3}' ciudades.txt | gmt gmtselect  -C0.05/origin.d -R -J -Ic > ciudades_selectas_txt.txt
awk -F\; '{print $1,$2}' ciudades.txt | gmt gmtselect  -C0.05/origin.d -R -J -Ic > ciudades_selectas_pts.txt


gmt pstext -O -J -R -K -F+f8p,Times-Italic,,+jBL ciudades_selectas_txt.txt >> $ps
gmt psxy -O -J -R -K -Ss0.1 -Gblack ciudades_selectas_pts.txt >> $ps


for i in 0.1 0.3 0.5 0.7
do
  awk  '{print $3,$4}' ubic.dat | gmt psxy -J -R -O -Sc$i -W1,red -K >> $ps
done

awk '{printf"%f %f Mw=%3.1f P=%0.1f Fecha=%s Hora (UTC)=%s\n", -81.53,7.075,$6,$5,$1,$2}' ubic.dat| gmt pstext -R -O -J -K -F+f9p,Helvetica,white,+jBR -Gblack >> $ps


awk '{print $1}' par.dat > m0.temp
if [ -f m00.temp ]
then
  rm m00.temp
fi
if [ -f m1.temp ]
then
  rm m1.temp
fi

for i in `cat m0.temp`
do
  c1=`grep $i ../estaciones2.txt | awk -F\; '{print $2,$3}'`
  c2=`grep $i par.dat | awk '{print $2}'`
  echo $c1 $c2 >> m1.temp
done

gmt psxy -R -J -Ss0.07i -Ctopo_intensidad.cpt -O -G0/255/0 -W0.5 -K m1.temp >> $ps
gmt psscale -D1.05i/0.4i/2.0i/0.15ih -Ctopo_intensidad.cpt -Li -O -K -I -A  >> $ps
gmt pstext -F+f9p,Helvetica,white,+jBL -R -J -O -K -N <<END>> $ps
-87.43 7.5  D\351bil
-86.65 7.5 Moderado
-85.65 7.5 Fuerte
END


gmt psxy -R -O -J <<END>> $ps
END
# 
#gv p.ps

ps2pdf p.ps p.pdf
convert -density 100 p.pdf -quality 90 output1.png
convert output1.png -crop 560x470+15+192 -quality 100 output.png 
display output.png

# 
rm -f gmt.conf CR_int.nc z.cpt